Get a pricing logic algorithm

get

https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogManagement/v1/pricingLogicAlgorithm/{id}

Returns the pricing logic algorithm with the specified ID.

Request

Path Parameters
Query Parameters

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

The pricing logic algorithm was returned successfully.
Body ()
Root Schema : PlaQuantityRangeOracle
Title: PlaQuantityRangeOracle
Match All
Show Source
  • PricingLogicAlgorithm
    Title: PricingLogicAlgorithm
    Discriminator: { "propertyName":"@type", "mapping":{ "PricingLogicAlgorithm":"#/components/schemas/PricingLogicAlgorithm", "PlaQuantityRangeOracle":"#/components/schemas/PlaQuantityRangeOracle" } }
    The pricing logic algorithm resource.
  • type
Nested Schema : PricingLogicAlgorithm
Type: object
Title: PricingLogicAlgorithm
Discriminator: @type

Discriminator Values

The pricing logic algorithm resource.
Show Source
Nested Schema : type
Type: object
Show Source
Nested Schema : plaCharacteristic
Type: array
A list of pla characteristics associated with the pricing logic algorithm quantity range.
Show Source
  • PlaCharacteristicOracle
    Title: PlaCharacteristicOracle
    A use of the ProdSpecCharacteristicValue by a ProductOffering to which additional properties (attributes) apply or override the properties of similar properties contained in ProdSpecCharacteristicValue.
Nested Schema : ProjectRef
Type: object
Title: ProjectRef
The project reference resource.
Show Source
Nested Schema : tierRange
Type: array
A list of tier ranges associated with the pricing logic algorithm quantity range.
Show Source
Nested Schema : PlaCharacteristicOracle
Type: object
Title: PlaCharacteristicOracle
A use of the ProdSpecCharacteristicValue by a ProductOffering to which additional properties (attributes) apply or override the properties of similar properties contained in ProdSpecCharacteristicValue.
Show Source
Nested Schema : plaCharacteristicValue
Type: array
A list of pla characteristic values associated with the pricing logic algorithm characteristic.
Show Source
Nested Schema : PlaCharacteristicValueOracle
Type: object
Title: PlaCharacteristicValueOracle
A number or text that can be assigned to a ProductSpecCharacteristic.
Show Source
  • Allowed Values: [ "NONE", "SECOND", "MINUTE", "HOUR", "DAY", "MONTH", "BYTE", "KILOBYTE", "MEGABYTE", "GIGABYTE", "PAGES", "MOVIES", "TIME_INTERVAL", "QUANTITY", "MBPS", "GBPS" ]
    The unit can be minutes or GB.
  • value
    A discrete value that the characteristic can take on. The value type is defined by the valueType characteristic.
Nested Schema : value
A discrete value that the characteristic can take on. The value type is defined by the valueType characteristic.
Match One Schema
Show Source
Nested Schema : value-oneOf[1]
Type: object
Nested Schema : TierRangeOracle
Type: object
Title: TierRangeOracle
Contains the minimum and maximum quantity for which the pricing is applicable.
Show Source
  • Allowed Values: [ "UPPER_INCLUSIVE", "LOWER_INCLUSIVE" ]
    Specifies whether to include the upper limit or lower limit. Valid values are UPPER_INCLUSIVE and LOWER_INCLUSIVE.
  • A maximum quantity of something, typically the total of a thing or things in number, size, value, extent, or money.
  • A minimum quantity of something, typically the total of a thing or things in number, size, value, extent, or money.
  • productOfferingPrice
    A list of product offering prices associated with the tier range.
Nested Schema : productOfferingPrice
Type: array
A list of product offering prices associated with the tier range.
Show Source
  • ProductOfferingPriceRef
    Title: ProductOfferingPriceRef
    The productPriceOffering reference. An amount, usually of money, that is asked for or allowed when a ProductOffering is bought, rented, or leased.
Nested Schema : ProductOfferingPriceRef
Type: object
Title: ProductOfferingPriceRef
The productPriceOffering reference. An amount, usually of money, that is asked for or allowed when a ProductOffering is bought, rented, or leased.
Show Source

400 Response

Your request couldn't be processed because it contains missing or invalid information, such as a validation error on an input field, a missing required value, and so forth.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source

401 Response

Your request isn't authorized. The authentication credentials included with this request are missing or invalid.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source

404 Response

The resource with the specified URI couldn't be found.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source

405 Response

HTTP action specified in the request (DELETE, GET, POST, PUT) isn't supported for this request URI.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source

500 Response

The server encountered something unexpected that prevented it from completing the request.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source
Back to Top

Examples

The following example shows how to get a category by submitting a GET request on the REST resource using cURL.

cURL Command

curl -u username:password -X GET https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogManagement/v1/pricingLogicAlgorithm/FirstMonthPLAPLA \ -H 'Content-Type: application/json'

Example of Response Body

The following example shows the contents of the response body in JSON format.

{
    "href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v4/pricingLogicAlgorithm/FirstMonthPLAPLA",
    "id": "FirstMonthPLAPLA",
    "lastUpdate": "2020-07-23T08:06:39.753Z",
    "version": "1.0",
    "validFor": {
        "startDateTime": "2019-10-31T15:38:39.124Z",
        "endDateTime": "2020-10-31T15:38:39.124Z"
    },
    "@type": "PricingLogicAlgorithmOracle",
    "@baseType": "https://{FusionAppsHost}/CatalogManagement/schema/oracle/PricingLogicAlgorithmOracle.yml",
    "@schemaLocation": "PricingLogicAlgorithm",
    "lifecycleStatus": "Ready to publish",
    "name": "First Month PLA PLA updated",
    "description": "Description of FirstMonthPLAPLA updated"
}
Back to Top